package main

import (
	"fmt"
	"time"
)

func main() {
	// runtime.GOMAXPROCS(4)
	go foo1()

	go func() {
		fmt.Println("Hello, I'm anonymous goroutine")
	}()

	time.Sleep(1 * time.Second)
	fmt.Println("Function main() was ended.")
}

func foo1() {
	fmt.Println("go go go")

}
